"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CashDeposits = void 0;
const baseResource_1 = require("./baseResource");
class CashDeposits extends baseResource_1.BaseResource {
    constructor(token, basePath, config) {
        super(token, basePath + "/cash-deposits", config);
        this.basePath = basePath;
    }
    async list(params) {
        const parameters = {
            "filter[serviceType]": params.serviceType,
            ...((params === null || params === void 0 ? void 0 : params.coordinates) && { "filter[coordinates]": this.customStringify(params.coordinates) }),
            ...((params === null || params === void 0 ? void 0 : params.postalCode) && { "filter[postalCode]": params.postalCode }),
            ...((params === null || params === void 0 ? void 0 : params.limit) && { "page[limit]": params.limit }),
            ...((params === null || params === void 0 ? void 0 : params.offset) && { "page[offset]": params.offset })
        };
        return this.httpGet(`${this.basePath}/store-locations`, { params: parameters }, true);
    }
    async generateBarcode(request) {
        return this.httpPost("/barcodes", { data: request });
    }
    async getImage(barcodeNumber) {
        return this.httpGet(`/barcodes/${barcodeNumber}/image`);
    }
}
exports.CashDeposits = CashDeposits;
