import { BaseListParams, UnitConfig, UnitResponse, Tags } from "../types/common";
import { AchCounterparty, CounterpartyBalance, CreateCounterpartyRequest, PatchCounterpartyRequest } from "../types/counterparty";
import { BaseResource } from "./baseResource";
export declare class Counterparties extends BaseResource {
    constructor(token: string, basePath: string, config?: UnitConfig);
    create(request: CreateCounterpartyRequest): Promise<UnitResponse<AchCounterparty>>;
    delete(id: string): Promise<UnitResponse<AchCounterparty>>;
    get(id: string): Promise<UnitResponse<AchCounterparty>>;
    list(params?: CounterpartyListParams): Promise<UnitResponse<AchCounterparty[]>>;
    update(id: string, request: PatchCounterpartyRequest): Promise<UnitResponse<AchCounterparty>>;
    getBalance(id: string): Promise<UnitResponse<CounterpartyBalance>>;
}
export interface CounterpartyListParams extends BaseListParams {
    /**
    * Optional. Filters the results by the specified customer id.
    * default: empty
    */
    customerId?: string;
    /**
     * Optional. Filter Counterparties by Tags.
     */
    tags?: Tags;
    /**
     * Optional. Filter Counterparties by the specified routing number.
     */
    routingNumber?: string;
    /**
     * Optional. Filter Counterparties by the specified account number.
     */
    accountNumber?: string;
}
